<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>User</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
            crossorigin="anonymous"></script>

    <link type="text/css" href="/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<p><a href="/">Main page</a></p>
<div class="container">
    <div class="">
        <fieldset>
            <legend>User info</legend>
            <#if user??>
                <div class="mb-1">
                    <label class="form-label">login: </label>
                    <label class="form-label fw-bold">${user.login}</label>
                </div>
                <div class="mb-1">
                    <label class="form-label">name: </label>
                    <label class="form-label fw-bold">${user.name}</label>
                </div>
                <div class="mb-1">
                    <label class="form-label">phone: </label>
                    <label class="form-label fw-bold">${user.phone}</label>
                </div>
                <div class="mb-1">
                    <label class="form-label">email: </label>
                    <label class="form-label fw-bold">${user.email}</label>
                </div>

                <button type="button" class="btn btn-danger" data-bs-toggle="modal"
                        data-bs-target="#addAccountModal" data-bs-whatever="@mdo">
                    Add new account
                </button>
            </#if>
        </fieldset>
    </div>
    <hr>
    <div>
        <fieldset>
            <legend>User acounts</legend>
            <#if accounts??>
                <#if RequestParameters.message??>
                    <div class="container">
                        <div class="alert alert-info">
                            ${RequestParameters.message}
                        </div>
                    </div>
                </#if>
                <#list accounts as account>
                    <div class="row p-1">
                        <div class="col-auto">
                            <label class="form-label">name: </label>
                            <label class="form-label fw-bold">${account.name}</label>
                        </div>
                        <div class="col-auto">
                            <label class="form-label">cadr: </label>
                            <label class="form-label fw-bold">${account.numberCard}</label>
                        </div>
                        <div class="col-auto">
                            <label class="form-label">amount: </label>
                            <label class="form-label fw-bold">${account.amountCard}</label>
                            <label class="form-label">UAH</label>
                        </div>
                        <div class="col">
                            <div class="d-flex justify-content-end">
                                <form method="post">
                                    <input type="hidden" value="${account.id}" id="accountId" name="accountId">
                                    <input class="btn btn-primary" type="submit" value="Payments history">
                                </form>
                                <button type="button" class="btn btn-danger ms-2" data-bs-toggle="modal"
                                        data-bs-target="#addPaymentModal" data-bs-whatever="${account.id}">
                                    Do new pay
                                </button>
                            </div>
                        </div>
                    </div>
                </#list>
            </#if>
        </fieldset>
    </div>
    <hr>
    <div>
        <#if payments??>
            <fieldset>
                <legend>Payments history:</legend>
                <table class="table table-dark table-hover">
                    <thead>
                    <tr>
                        <th class="text-center" scope="col">date</th>
                        <th class="text-center" scope="col">amount</th>
                    </tr>
                    </thead>
                    <tbody>
                    <#list payments as payment>
                        <tr>
                            <td class="text-center">${payment.date}</td>
                            <td class="text-end">${payment.amount}</td>
                        </tr>
                    </#list>
                    </tbody>
                </table>
            </fieldset>
        </#if>
    </div>

</div>


<div class="modal fade" id="addAccountModal" tabindex="-1" aria-labelledby="Add account modal" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add new account</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="Post" action="/account">
                    <div class="col-auto mb-2">
                        <label for="nameAccount" class="col-form-label">Account name:</label>
                        <input type="text" class="form-control" id="nameAccount" name="nameAccount"
                               placeholder="Account name" pattern="^[а-яА-ЯёЁіІїЇa-zA-Z0-9 ]{1,100}$">
                    </div>
                    <div class="col-auto mb-2">
                        <label for="numberCard" class="col-form-label">Number card:</label>
                        <input type="text" class="form-control" id="numberCard" name="numberCard"
                               placeholder="XXXXXXXXXXXXXXXX" pattern="^[0-9]{16}$">
                    </div>
                    <div class="col-auto mb-2">
                        <label for="amountCard" class="col-form-label">Amount UAH in card:</label>
                        <input type="text" class="form-control" id="amountCard" name="amountCard"
                               placeholder="XXXXXX UAH" pattern="^[0-9]{1,16}$">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <input type="hidden" name="userId" value="${user.id}">
                        <input type="submit" class="btn btn-primary mb-2" value="Registration">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="addPaymentModal" tabindex="-1" aria-labelledby="Add payment modal" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="paymentModalLabel">Add new payment</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="Post" action="/payment">
                    <div class="col-auto mb-2">
                        <label for="amount" class="col-form-label">Payment amount:</label>
                        <input type="text" class="form-control" id="amount" name="amount"
                               placeholder="amount" pattern="^\$?(([1-9](\d*|\d{0,2}(,\d{3})*))|0)(\.\d{1,2})?$">
                    </div>
                    <div class="col-auto mb-2">
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input type="hidden" id="accountIdModal" name="accountId" value="2">
                            <input type="submit" class="btn btn-primary mb-2" value="Do pay">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    let paymentModal = document.getElementById('addPaymentModal');
    const $accountIdModal = document.getElementById('accountIdModal');
    // const $accountIdModal = $('#accountIdModal');

    paymentModal.addEventListener('show.bs.modal', function (event) {
        let button = event.relatedTarget;
        let accountId = button.getAttribute('data-bs-whatever');
        console.log(accountId);
        let modalTitle = paymentModal.querySelector('.modal-title');

        modalTitle.textContent = 'Add new payment from account id: ' + accountId;
        $accountIdModal.value = accountId;
        // $accountIdModal.val(accountId);
        console.log($accountIdModal.value);
        // console.log($accountIdModal.val());
    })
</script>


</body>
</html>